export function isNodeOverlapped(node, rect) {
    var centerX = (rect.left + rect.right) / 2;
    var centerY = (rect.top + rect.bottom) / 2;
    var topElement = document.elementFromPoint(centerX, centerY);
    return !node.isSameNode(topElement) && !node.contains(topElement);
}
export function getRelativeParent(node) {
    var parent = node.parentNode;
    if (parent instanceof HTMLElement) {
        var position = window.getComputedStyle(parent).getPropertyValue('position');
        return position === 'relative' ? parent : getRelativeParent(parent);
    }
    return null;
}
//# sourceMappingURL=node.js.map